Create or update a Logstash pipeline

Base URL
https://{kibana_url}
  • PUT /api/logstash/pipeline/{id}
Auth

Create a centrally-managed Logstash pipeline or update a pipeline. To use this API, you must have either the logstash_admin built-in role or a customized Logstash writer role.

Secure your connection

Path parameters

id string required

An identifier for the pipeline. Pipeline ID must begin with a letter or underscore and can contain only letters, underscores, dashes, hyphens, and numbers.

Request body

description string · max length: 1024

A description of the pipeline.

pipeline string required

A definition for the pipeline.

settings object

Supported settings, represented as object keys, include the following:

  • pipeline.workers
  • pipeline.batch.size
  • pipeline.batch.delay
  • pipeline.ecs_compatibility
  • pipeline.ordered
  • queue.type
  • queue.max_bytes
  • queue.checkpoint.writes

Response

204

Indicates a successful call

Base URL
https://{kibana_url}